Bug 168682 - Allow configurability in IM window tabs
Summary: Allow configurability in IM window tabs
Status: RESOLVED FIXED
Alias: None
Product: kopete
Classification: Applications
Component: general (show other bugs)
Version: 0.50.80
Platform: Ubuntu Linux
: NOR wishlist with 10 votes (vote)
Target Milestone: ---
Assignee: Kopete Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-08-08 03:09 UTC by Dhaval Patel
Modified: 2011-07-04 02:54 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Add tab configuration (8.99 KB, patch)
2011-06-23 00:51 UTC, Lamarque V. Souza
Details
Screenshot of the new tab configuration window (26.19 KB, image/jpeg)
2011-06-23 00:54 UTC, Lamarque V. Souza
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dhaval Patel 2008-08-08 03:09:15 UTC
Version:           0.50.80 (using KDE 4.1.0)
Installed from:    Ubuntu Packages
OS:                Linux

If you look at an IM window, the tab contains the following.

- protocol icon
- screenname/alias
- status in ()

It would be nice to be able to configure this. I like the keep the IM window small (vertically and horizontally) but that status text takes up space that can be used to display more tabs. Please allow configuration for people who do not need it.

Status messages in the IM window when the user goes offline and comes back on would be better. When you go to IM the person you can easily see from the most recent status message what his status is.
Comment 1 Dhaval Patel 2008-10-07 22:01:20 UTC
I actually like how Pidgin implements this. If the user is offline or away, the text color changes so you know that the person is away or offline.
Comment 2 Nick Shaforostoff 2008-12-12 03:20:50 UTC
which colors does pidgin use?
Comment 3 Dhaval Patel 2008-12-12 04:00:25 UTC
Hmm, its been a while since I used Pidgin but I recall seeing a orange color to represent away and light grey for offline. 

But perhaps this can be configurable? This would be the best option since it someone with a colorful theme can set contrasting colors.
Comment 4 Josh Berry 2008-12-12 04:44:45 UTC
I think rather than picking specific colors ourselves, or allowing the user to set custom colors, we should try to follow the KDE color scheme.

KDE offers quite a number of different color possibilities within the scheme -- e.g. we could use "inactive" (default: grey) for idle users, "negative" (default: red) for offline users, "neutral" (default: yellow) for away users, and "positive" (default: green) for users that have typed something we haven't read yet.
Comment 5 Dhaval Patel 2008-12-12 04:47:41 UTC
That makes much more sense. I was not aware of the KDE colors. But if you do this, then the any user will have it configured properly when the theme changes.
Comment 6 Dhaval Patel 2009-01-30 17:26:28 UTC
I have KDE 4.2 installed and this is still a problem.
Comment 7 Dhaval Patel 2009-02-03 03:46:38 UTC
Any idea when this will be available?
Comment 8 Dhaval Patel 2009-12-06 01:32:54 UTC
I upgraded to 4.3 and this is still an issue. Can anyone tell me if this will be looked at or not?
Comment 9 Dhaval Patel 2009-12-20 21:27:38 UTC
I upgraded to KDE 4.4 on Kubuntu 9.10 via PPA packages. There is still no option for this. Is anyone planning on looking into this?
Comment 10 Dhaval Patel 2011-02-01 15:33:34 UTC
I have upgrade to KDE 4.6 on Kubuntu 10.10 and still do not see this option.
Comment 11 Dhaval Patel 2011-06-08 14:43:48 UTC
I am using Kubuntu 11.04 with KDE 4.6.2 and still do not see an option for this. Is there anybody I can talk to regarding this bug?
Comment 12 Lamarque V. Souza 2011-06-23 00:51:55 UTC
Created attachment 61260 [details]
Add tab configuration

(In reply to Dhaval Patel)
> I am sorry to bother you about this but felt you were the best person to
> address this.
> 
> First I would like to thank you for fixing a bug request. There are plenty
> out there which are not fixed.

Thanks.
 
> I opened https://bugs.kde.org/show_bug.cgi?id=168682 a long time ago hoping
> to make the Kopete chat window tabs more configurable. I wanted the
> ability to remove things from the tabs so I can fit more tabs in a smaller
> window. You recently fixed https://bugs.kde.org/show_bug.cgi?id=224388 but
> it has made the problem marginally worse for me.

You know you can set the tab to appear at any window border and the contact label text automatically shrinks to save room for other tabs? Removing the close icon will not save that much space and the contact name can shring to the size of a icon.

If your chat window is longer at the vertical axis you can set it to be at left (or right) position instead of top.

> Would it be possible to make it a configurable option to show the [X] on a
> tab? While you are at it, can you please make displaying the status in the
> tab configurable?

The attached patch lets you remove the contact label and close button. They are still enabled by default though. After applying the patch against Kopete and recompiling it you just need go to menu -> Configurations -> Configure -> Chat window -> Tabs and uncheck the two checkboxes. You will have to close all chat windows and reopen them for the new settings to take effect.

KDE is in message freeze state now, which means I need permission to add new strings to the kopete's source code, which is the case of this patch. I will contact the translation team and see if I can commit this patch. If not then it will appear only in KDE SC 4.8.0.
Comment 13 Lamarque V. Souza 2011-06-23 00:54:42 UTC
Created attachment 61261 [details]
Screenshot of the new tab configuration window
Comment 14 Dhaval Patel 2011-06-23 03:05:27 UTC
Regarding your comment about the space of the close tab icon, to me it was more about clean looking over the amount of space. I realize I can keep the tabs on the left as well, I will give that a shot to see what it looks like but my chat window is usually wider not longer.

What do you mean by contact label? Is it the person's name or the online status? I personally do not care to see the IM icon either (AIM/Jabber/Yahoo/etc) if you can make that change.

I do not mind it going into 4.8.0 as long as it gets in there. Just curious, why 4.8? I though 4.6 is out now and 4.7 would be in development.

Thank you so much for making this change. I really appreciate it.
Comment 15 Lamarque V. Souza 2011-07-03 01:24:41 UTC
SVN commit 1239129 by lvsouza:

Allows to hide the contact name and close button in chat window.
Just go to menu -> Configurations -> Configure -> Chat window -> Tabs.

CCBUG: 168682


 M  +12 -4     kopete/chatwindow/kopetechatwindow.cpp  
 M  +2 -0      kopete/chatwindow/kopetechatwindow.h  
 M  +2 -1      kopete/config/chatwindow/CMakeLists.txt  
 M  +7 -0      kopete/config/chatwindow/chatwindowconfig.cpp  
 M  +3 -0      kopete/config/chatwindow/chatwindowconfig.h  
 M  +8 -0      libkopete/kopetebehaviorsettings.kcfg  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1239129
Comment 16 Lamarque V. Souza 2011-07-03 01:43:17 UTC
SVN commit 1239133 by lvsouza:

Backporting r1239129 to KDE/4.7 branch:

Allows to hide the contact name and close button in chat window.
Just go to menu -> Configurations -> Configure -> Chat window -> Tabs.

BUG: 168682


 M  +12 -4     kopete/chatwindow/kopetechatwindow.cpp  
 M  +2 -0      kopete/chatwindow/kopetechatwindow.h  
 M  +2 -1      kopete/config/chatwindow/CMakeLists.txt  
 M  +7 -0      kopete/config/chatwindow/chatwindowconfig.cpp  
 M  +3 -0      kopete/config/chatwindow/chatwindowconfig.h  
 M  +8 -0      libkopete/kopetebehaviorsettings.kcfg  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1239133
Comment 17 Lamarque V. Souza 2011-07-03 02:00:22 UTC
(In reply to comment #14)
> Regarding your comment about the space of the close tab icon, to me it was more
> about clean looking over the amount of space. I realize I can keep the tabs on
> the left as well, I will give that a shot to see what it looks like but my chat
> window is usually wider not longer.
> 
> What do you mean by contact label? Is it the person's name or the online
> status? I personally do not care to see the IM icon either
> (AIM/Jabber/Yahoo/etc) if you can make that change.

Contact label is the text that contains both contact name and online status. The icon is not that ease to remove and since it takes little space I will not do it.
 
> I do not mind it going into 4.8.0 as long as it gets in there. Just curious,
> why 4.8? I though 4.6 is out now and 4.7 would be in development.

You are looking from users point of view. KDE SC 4.7 was tagged in April, so since then there is already a KDE/4.7 branch and since June 20th we (KDE developers) are not allowed to add changes with new strings to KDE/4.7 branch without prior permission from the translation team. KDE is translated into 55 languages, each string must be translated to each of those languages. Each string I add I add work to 55 people, that is KDE is has this rule. In short, since June 20th all changes that add new strings must go to master branch (future KDE SC 4.8.0). But since nobody from translation team objected to this patch I commited it some minutes ago, it is going to be in KDE SC 4.7.0.
 
> Thank you so much for making this change. I really appreciate it.

You are welcome. Unfortunately Kopete lacks developers and I am already busy with Plasma Network Management and my real life job. Kopete's source code is really big and rather complex for me alone to fix all problems. You are lucky this problem was not that hard for me to solve.
Comment 18 Dhaval Patel 2011-07-03 18:30:40 UTC
I apologize for creating a problem. I asked for the change to go into 4.7 not realizing the dates for this kind of change had already passed. I would totally understand if this had to be reverted. I will certainly wait until 4.8.
Comment 19 Christoph Feck 2011-07-04 01:50:34 UTC
Thanks Lamarque. Could you commit file "chatwindowconfig_tab.ui"?
Comment 20 Lamarque V. Souza 2011-07-04 02:53:00 UTC
SVN commit 1239195 by lvsouza:

Adding missing file from commit r1239129 (Allows to
hide the contact name and close button in chat window.)

CCBUG: 168682


 A             chatwindowconfig_tab.ui  


WebSVN link: http://websvn.kde.org/?view=rev&revision=1239195
Comment 21 Lamarque V. Souza 2011-07-04 02:54:27 UTC
SVN commit 1239196 by lvsouza:

Backporting r1239195 to KDE/4.7 branch:

Adding missing file from commit r1239129 (Allows to
hide the contact name and close button in chat window.)

CCBUG: 168682


 A             chatwindowconfig_tab.ui   trunk/KDE/kdenetwork/kopete/kopete/config/chatwindow/chatwindowconfig_tab.ui#1239195


WebSVN link: http://websvn.kde.org/?view=rev&revision=1239196